using System;
using System.IO;

namespace Existence_souboru
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
         Console.Title = "Test, zda soubor existuje";

         // Test pomocí statické metody Exists třídy File
         // zda existuje soubor c:\autoexec.bat existiert
         string fileName = "c:\\autoexec.bat";
         if (File.Exists(fileName))
         {
            Console.WriteLine(fileName + " existuje");
         }
         else
         {
            Console.WriteLine(fileName + " neexistuje");
         }

         // Test pomocí vlastnosti Exists objektu typu FileInfo
         // zda existuje soubor c:\autoexec.bat 
         System.IO.FileInfo di = new System.IO.FileInfo(fileName);
         if (di.Exists)
         {
            Console.WriteLine(fileName + " existuje");
         }
         else
         {
            Console.WriteLine(fileName + " neexistuje");
         }

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
